For the complete documentation index, see llms.txt. This page is also available as Markdown.

Account Wallets APIs

get

Get global balance by account idref, wallet type and currency

Path parameters
idRefstringRequired
walletTypestringRequired
walletCurrencystringRequired
Responses
200

Response to /api/v2.0/account/{idRef}/wallets/gcb/{walletType}/{walletCurrency}

application/json
account_balancestringRequired

Wallet LIVE balance

available_balancestringRequired

Wallet LIVE available balance

codestringRequired

Wallet code used to group wallets. DEFAULT being default wallet and SECONDARY being supporting wallets

currencystringRequired

The currency in which the wallet is denominated.

hold_balancestringRequired

Wallet LIVE hold balance

updated_atstring · date-timeRequired

The time at which the wallet balance was last updated

get/api/v2.0/account/{idRef}/wallets/gcb/{walletType}/{walletCurrency}
GET /api/v2.0/account/{idRef}/wallets/gcb/{walletType}/{walletCurrency} HTTP/1.1
Accept: */*
200

Response to /api/v2.0/account/{idRef}/wallets/gcb/{walletType}/{walletCurrency}

{
  "account_balance": "text",
  "available_balance": "text",
  "code": "text",
  "currency": "text",
  "hold_balance": "text",
  "updated_at": "2026-01-01T00:00:00.000Z"
}
get

Get all global balance by account idref

Path parameters
idRefstringRequired
Responses
200

Response to /api/v2.0/account/{idRef}/wallets/gcb

application/json
account_balancestringRequired

Wallet LIVE balance

available_balancestringRequired

Wallet LIVE available balance

codestringRequired

Wallet code used to group wallets. DEFAULT being default wallet and SECONDARY being supporting wallets

currencystringRequired

The currency in which the wallet is denominated.

hold_balancestringRequired

Wallet LIVE hold balance

updated_atstring · date-timeRequired

The time at which the wallet balance was last updated

get/api/v2.0/account/{idRef}/wallets/gcb
GET /api/v2.0/account/{idRef}/wallets/gcb HTTP/1.1
Accept: */*
200

Response to /api/v2.0/account/{idRef}/wallets/gcb

[
  {
    "account_balance": "text",
    "available_balance": "text",
    "code": "text",
    "currency": "text",
    "hold_balance": "text",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
]
get

Get all live balances by account idref

Path parameters
idRefstringRequired
Responses
200

Response to /api/v2.0/account/{idRef}/wallets

application/json
account_balancestringRequired

Wallet LIVE balance

available_balancestringRequired

Wallet LIVE available balance

codestringRequired

Wallet code used to group wallets. DEFAULT being default wallet and SECONDARY being supporting wallets

currencystringRequired

The currency in which the wallet is denominated.

hold_balancestringRequired

Wallet LIVE hold balance

updated_atstring · date-timeRequired

The time at which the wallet balance was last updated

get/api/v2.0/account/{idRef}/wallets
GET /api/v2.0/account/{idRef}/wallets HTTP/1.1
Accept: */*
200

Response to /api/v2.0/account/{idRef}/wallets

[
  {
    "account_balance": "text",
    "available_balance": "text",
    "code": "text",
    "currency": "text",
    "hold_balance": "text",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
]
get

Get live balance by account idref, wallet type and currency

Path parameters
idRefstringRequired
walletTypestringRequired
walletCurrencystringRequired
Responses
200

Response to /api/v2.0/account/{idRef}/wallets/{walletType}/{walletCurrency}

application/json
account_balancestringRequired

Wallet LIVE balance

available_balancestringRequired

Wallet LIVE available balance

codestringRequired

Wallet code used to group wallets. DEFAULT being default wallet and SECONDARY being supporting wallets

currencystringRequired

The currency in which the wallet is denominated.

hold_balancestringRequired

Wallet LIVE hold balance

updated_atstring · date-timeRequired

The time at which the wallet balance was last updated

get/api/v2.0/account/{idRef}/wallets/{walletType}/{walletCurrency}
GET /api/v2.0/account/{idRef}/wallets/{walletType}/{walletCurrency} HTTP/1.1
Accept: */*
200

Response to /api/v2.0/account/{idRef}/wallets/{walletType}/{walletCurrency}

{
  "account_balance": "text",
  "available_balance": "text",
  "code": "text",
  "currency": "text",
  "hold_balance": "text",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Last updated